package com.fp.viaticos.rules.query.empleados;

import java.sql.Date;
import java.util.List;

import com.fp.dto.query.DtoQuery;
import com.fp.dto.query.QueryRequest;
import com.fp.dto.rules.QueryRule;
import com.fp.persistence.commondb.helper.FormatDates;
import com.fp.persistence.pviaticos.hra.Empleado;
import com.fp.persistence.pviaticos.hra.EmpleadoJpql;

/**
 * Clase que se encarga de consultar en la vista HRA.VWDATOSEMPLEADOS de empleados de la sbs dado un dtoquery.
 * 
 * @author Jorge Vaca
 * @version 2.1
 */
@SuppressWarnings("serial")
public class LovEmpleadosSbs extends QueryRule{

    @Override
    public QueryRequest process(QueryRequest pQueryRequest) throws Exception {
        DtoQuery dtoquery = pQueryRequest.getQueryTables().get("LOVEMPLEADOSSBS");
        EmpleadoJpql e = new EmpleadoJpql();
        List<Empleado>  lempleados = e.find(dtoquery);
        pQueryRequest.getResponse().put("LOVEMPLEADOSSBS", lempleados);
        pQueryRequest.getResponse().put("DATE", FormatDates.getInstance().getDataBaseDate());
        return pQueryRequest;
    }

}
